<?php
namespace Claromentis\Core\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_5e30c4717ced36cff9e9" . "3e19a5c576cc" => base64_decode("aXNf" . "c3Ry" . "aW5n"));
use Claromentis\Core\Application;
use Symfony\Component\Config\Loader\LoaderInterface;
use Symfony\Component\Config\Loader\LoaderResolverInterface;




class ApplicationRouteLoader implements LoaderInterface
{
    
    
    
    
    protected $app;
    
    
    
    
    protected $resolver = null;
    
    
    
    
    
    
    public function __construct(Application $app)
    {
        $this->app = $app;
    }
    public function getResolver()
    {
        return $this->resolver;
    }
    public function setResolver(LoaderResolverInterface $_77a36bb33d745c0aa41e14150bc1b673)
    {
        $this->resolver = $_77a36bb33d745c0aa41e14150bc1b673;
    }
    public function supports($_daf0ea4a4657bd95111bb4f0079b9cff, $type = null)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5e30c4717ced3" . "6cff9e93e19a5c" . "576cc"]($_daf0ea4a4657bd95111bb4f0079b9cff) && isset($this->app[$_daf0ea4a4657bd95111bb4f0079b9cff])) {
            return true;
        }
        return false;
    }
    public function load($_daf0ea4a4657bd95111bb4f0079b9cff, $type = null)
    {
        return $this->app[$_daf0ea4a4657bd95111bb4f0079b9cff];
    }
}